import java.io.*;
import java.util.*;
import java.net.*;

// class Loader is our routine to read the robot data file
// (e.g. "B.html") in a background thread, so that the
// the User Interface can start without waiting for the
// robot brain to load.
//
//
class Loader extends Thread {
  public boolean isApplet = false;
  public static String currfile="None";
  public static boolean pause=false;

  public Loader(boolean isApplet) {
    this.isApplet = isApplet;
  }

  public Loader() {
  }

  public void run() {
    if (isApplet)  {
      Classifier.read_aiml_url(Globals.getCodeBase()+"/"+Globals.getBotFile());
       }
    else {
      Classifier.read_aiml(Globals.getBotFile());
      System.out.println("-- Done Loading --");
    }
  }
}
