# Alice.pm -- :LavaBot:Alice:
package		Alice;
require		Exporter;
@ISA		=	qw(Exporter);
@EXPORT		=	qw();
@EXPORT_OK	=	qw();

use Msg_parse;
use Leetize;

my (@queue, $_responsesub, $_timeout);
my $testmsg = "-- no response --\n";
### the purpose of the test message is to make sure alice indeed wrote
###  some response to file 'aliceout'

sub init {
	$_channel = shift;
	IRC::print("Alice: init,");
	system "java Bawt &";
	@queue = ();
	&enqueue("Wanker", \&response_null);
	IRC::print(" 8 minutes until active\n");
}

sub response_normal {
	my @response = @_;
	my $aliceline;
	foreach $aliceline (@response) {
		IRC::command("/msg $_channel Alice: $aliceline");
	}
}

sub response_leet {
	my @response = @_;
	my $aliceline;
	foreach $aliceline (@response) {
		$aliceline = &leetize($aliceline);
		IRC::command("/msg $_channel 31337-AL1C3: $aliceline");
	}
}

sub response_null {
### throw that response into a black hole, mate!
	return;
}

sub enqueue {
### pass in: message (as scalar), ref to response sub (target?)
	my %mesg = ('message', shift, 'subref', shift);
	if (scalar @queue) {
		push @queue, \%mesg;
	} else {
		push @queue, \%mesg;
		&next_in_queue;
	}
}

sub next_in_queue {
	unless (scalar @queue) {
		return;
	}
	my %mesg = %{ $queue[0] };  # it's removed from q after processing
	my $msg = $mesg{'message'};
	$_responsesub = $mesg{'subref'};
	$msg =~ s/~//g;
	open ( ALICEOUT, ">aliceout") or die "Dammit, no aliceout\n";
	print ALICEOUT $testmsg;
	close(ALICEOUT);
	open( ALICEJAVA, ">alicein") or die "Dammit, no alicein\n";
	print ALICEJAVA $msg . "\n";
	close(ALICEJAVA);
	$_timeout = 0;
	IRC::add_timeout_handler(1000, Alice::fetch_alice);
}

sub fetch_alice {
	@response = `cat aliceout`;
	if ($response[0] eq $testmsg) {
		if ($_timeout++ < 9) {
			IRC::add_timeout_handler(1000, Alice::fetch_alice);
		} else {
			IRC::print("Alice timed out on last message\n");
			&{ $_responsesub }("Could you repeat the question?");
			shift @queue;
			&next_in_queue;
		}
		return;
	}
	&{ $_responsesub }(@response);
	shift @queue;  # done with this one
	&next_in_queue;
}


sub chanmsg {
	my $line = shift;
	my $body = &get_body($line);

	if ($body =~ s/^(alice, )(.+)/$2/gi) {
		&enqueue($body, \&response_normal);
	}
	if ($body =~ s/^(l33talice, )(.+)/$2/gi) {
		&enqueue($body, \&response_leet);
	}
	return;
}

sub privmsg {
	return;
}

sub stop {
	open( ALICEJAVA, ">alicein") or die "Couldn't create alicein!\n";
        print ALICEJAVA "~exit\n";
        close(ALICEJAVA);
	@queue = ();
}

1;	#fucking compatibility
