# Qserver.pm -- :LavaBot:Qserver:

package		Qserver;

use Msg_parse;
use Cfg_file;

my ($_alive, $_channel, $rdata, $_maxwidth, $_destination);
my $_public = 1;  #starts out public as default
my $_cfgfilename = "qserver.cfg";
my $timeout;
my $tempfile = "qserver.out";
my $testline = "shit, nigga!";  #no trailing newline, plz
my @queue = ();
my %batchlist = ();

sub init {
	$_channel = shift;
	$_maxwidth = 60;
	IRC::print("Qserver: loading cfg... ");
	&loadcfg;
	IRC::print("done\n");
	$_alive = "true";
}

sub loadcfg {
	IRC::print("loading cfg... ");
	my $cfgfile = Cfg_file->cfg_newfile($_cfgfilename);
	%batchlist = $cfgfile->cfg_get_block("qserver","batches");
}

sub writecfg {
	my $cfgfile = Cfg_file->cfg_newfile($_cfgfilename);
	my %temphash = ();
	# clear the file
	$cfgfile->cfg_set_block(\%temphash, ("qserver"));
	$cfgfile->cfg_set_block(\%batchlist, ("qserver","batches"));
	$cfgfile->cfg_write;
}

sub get_serverinfo {
# starts subprocess "qtest" (which gets a q2 ServerInfo) and initializes the
# tempfile for &fetch_serverinfo
	my $host = shift;
	# host may also have a ":27910" tacked on the end as a port num
	open(TEMP, ">$tempfile") or IRC::print("couldn't open damn file\n");;
	print TEMP $testline;
	close(TEMP);
	open(QTEST, "|./qtest.pl") or IRC::print("damn prog");
	print QTEST $host . "\n";
	close(QTEST);
	$timeout = 0;
	IRC::add_timeout_handler(1000, Qserver::fetch_serverinfo);
}

sub fetch_serverinfo {
# polls the tempfile (usually qserver.out) to see if it's been written to.
# returns its contents, or (if no change) times out after 5 seconds
	if ($timeout++ > 5) {
		IRC::command("/msg $_destination Err: server timed out.");
		shift @queue;
		&next_in_queue;
		return;
	}
	open(TEMP, $tempfile) or IRC::print("couldn't open it\n");
	my @qinfo = <TEMP>;
	close(TEMP);
	if ($qinfo[0] eq $testline) {
		IRC::add_timeout_handler(1000, Qserver::fetch_serverinfo);
		return;
	}
	&print_serverinfo(join("\n",@qinfo));
	shift @queue;  # done with this one 
	&next_in_queue;
}

sub print_serverinfo {
# formats and prints the raw serverinfo passed in from fetch_serverinfo
	my $rdata = shift;
	@rdata = split("\n",$rdata);
	shift @rdata;
	shift @rdata;
	my $lump = shift @rdata;
	my $mapname = "Unknown";
	my $hostname = "Unknown";
	if ($lump =~ /\\mapname\\([^\\]+)\\/) {
		$mapname = $1;
	}
	if ($lump =~ /\\hostname\\([^\\]+)\\/) {
		$hostname = $1;
	}
	my $line;
	my @entries = ();
	foreach $line (@rdata) {
        	if ($line =~ /^(\d+) \d+ \"(.*)\"$/) {
			if ($1 < 10) {
				push @entries, ">> $1 $2";
			} else {
				push @entries, ">>$1 $2";
			}
        	}
	}
	@entries = reverse sort @entries;
	IRC::command("/msg $_destination ---$hostname---, Map: $mapname, Players: " . ($#entries + 1));
	if (scalar @entries) {
		IRC::command("/msg $_destination " . (join(", ",@entries)));
	} else {
		IRC::command("/msg $_destination Server is empty. :(");
	}
}

sub next_in_queue {
	if ($#queue >= 0) {
		my %person = %{ $queue[0] };
		$_destination = $person{'name'};
		&get_serverinfo($person{'server'});
	}
}

sub enqueue {
### pass in: name, server choice
	my %person = ('name', shift, 'server', shift);
	if ($#queue >= 0) {
		push @queue, \%person;
	} else {
		push @queue, \%person;
		&next_in_queue;
	}
}

sub eval_qserver {
### pass in: handle, @body
	my $handle = shift;
	my @body = @_;
	my $name = &get_name_from_handle($handle);
	if ($#body >= 0) {
		my $choice = $body[0];
		$choice =~ s/[^(\w|\-|\.|:)]//g;
		if ($_public || &main::opped($handle)) {
			if ($choice =~ /\./g) {

				IRC::command("/msg $name Enqueueing ${name}'s request for server $body[0],...");
				&enqueue($name, $choice);
			} else {
				if (exists $batchlist{$choice}) {
					IRC::command("/msg $name Enqueueing servers " . (join(", ",split(";", $batchlist{$choice}))) . "...");
					foreach $server (split(";",$batchlist{$choice})) {
						&enqueue($name,$server);
					}
				} else {
					IRC::command("/msg $name Qserver: Batch $choice not found.");
				}
			}
		} else {
			IRC::command("/msg $name This service only available to :?: members.");
		}
	}

}

sub eval_public {
### pass in: handle, @body
	my $handle = shift;
	my $setting = shift @_;
	unless ($setting) { return; }
	my $name = &get_name_from_handle($handle);
	if (&main::is_admin($handle)) {
		if ($setting eq "on") {
			$_public = 1;
			IRC::command("/msg $name Qserver now public.");
			return;
		} elsif ($setting eq "off") {
			$_public = 0;
			IRC::command("/msg $name Qserver now private.");
			return;
		}
	} else {
		IRC::command("/msg $name You're not admin.");
	}
}

sub eval_reload {
### pass in: handle, @body optional
	my $handle = shift;
	my $name = &get_name_from_handle($handle);
	if (&main::is_admin($handle)) {
		&loadcfg;
		IRC::command("/msg $name Config reloaded.");
	} else {
		IRC::command("/msg $name You're not admin.");
	}
}

sub eval_commit {
### pass in: handle, @body optional
	my $handle = shift;
	my $name = &get_name_from_handle($handle);
	if (&main::is_admin($handle)) {
		&writecfg;
		IRC::command("/msg $name Config written.");
	} else {
		IRC::command("/msg $name You're not admin.");
	}
}

sub eval_listbatches {
### pass in: handle, @body optional
	my $handle = shift;
	my $name = &get_name_from_handle($handle);
	IRC::command("/msg $name Available batches are: " . (join(", ",keys(%batchlist))));
}

sub eval_line {
### pass in: handle, privmsg, @body
### evaluates and enqueues if a valid qserver command
	my $handle = shift;
	my $privmsg = shift;
	my @body = @_;
	my $name = &get_name_from_handle($handle);
	my $werd = shift @body;
	if ($werd eq "qserver") {
		&eval_qserver($handle, @body);
	} elsif (($werd eq "public") && $privmsg) {
		&eval_public($handle, @body);
	} elsif (($werd eq "reload") && $privmsg) {
		&eval_reload($handle, @body);
	} elsif (($werd eq "commit") && $privmsg) {
		&eval_commit($handle, @body);
	} elsif (($werd eq "listbatches") && $privmsg) {
		&eval_listbatches($handle, @body);
	} elsif (($werd eq "help") && $privmsg) {
		&eval_help($handle);
	} elsif ($privmsg) {
		IRC::command("/msg $name Invalid command. Valid commands are:");
		&eval_help($handle); 
	}
}

sub eval_help {
	my $handle = shift;
	my $name = &get_name_from_handle($handle);
	IRC::command("/msg $name  qserver <server[:port]|batchname>  -- queries Quake2 server(s)");
	IRC::command("/msg $name  listbatches  -- list available server batches");
	if (&main::is_admin($handle)) {
		IRC::command("/msg $name  Admin cmds: public <on|off>, reload, commit");
	}
}

sub chanmsg {
	my $line = shift;
	my $handle = &get_handle($line);
	my @body = split(" ", &get_body($line));
	&eval_line($handle, 0, @body);
}

sub privmsg {
	my $handle = shift;
	my $body = shift;
	my @body = split(" ", $body);
	&eval_line($handle, 1, @body);
}

sub stop {
	$_alive = 0;
}

1;   # fucking compatibility

