#!/usr/bin/perl -w

use Socket;
use Sys::Hostname;

my ($host, $port, $querystr, $iaddr, $proto, $paddr, $hisiaddr, $hispaddr, $rin, $rout, $ein, $eout, $rdata, $filename);
$filename = "qserver.out";

$rin = "";
vec($rin, fileno(STDIN), 1) = 1;
$ein = $rin;
if (select($rout = $rin, undef, $eout = $ein, 0)) {
	$input = <>;
	unless (defined($input)) {
		die "nothing on stdin!";
	}
} else {
	die "no servername on stdin!";
}

@werd = split(":",$input);
$host = shift @werd;
chomp $host;
if ($host =~ /[^(\.|\w|\-)]/) {
	die "bad server name";
}
$port = shift @werd;
if (defined($port)) {
	chomp $port;
	if ($port =~ /[^\d]/) {
		die "bad port name";
	}
} else {
	$port = 27910;
}

# defined($host = shift @werd) or die "Dammit, no input!";
# defined($port = shift @werd) or $port = 27910;

$querystr = "\xFF\xFF\xFF\xFFstatus\x0A\x00";

$iaddr = gethostbyname(hostname());
$proto = getprotobyname('udp');
$paddr = sockaddr_in(0, $iaddr);   # kernel picks a port

socket(SOCKET, PF_INET, SOCK_DGRAM, $proto) or die "socket failed: $!";
bind(SOCKET, $paddr);

$hisiaddr = inet_aton($host);
$hispaddr = sockaddr_in($port, $hisiaddr);

defined(send(SOCKET, $querystr, 0, $hispaddr)) or die "send failed: $!";

$rin = "";
vec($rin, fileno(SOCKET), 1) = 1;
$ein = $rin;

unless ( select($rout = $rin, undef, $eout = $ein, 5.0)) {
	die "timed out!";
}
$rdata = "";
($hispaddr = recv(SOCKET, $rdata, 1024, 0)) or die "recv failed: $!\n rdata is: $rdata";
# ($port, $hisiaddr) = sockaddr_in($hispaddr);

open(HELLO, ">$filename") or die "couldn't open $filename.  Dammit!";
print HELLO $rdata;
close(HELLO);

